var ding = ding || {};
ding.UI = ding.UI || {};

(function ($) {
    $(function () {

        if (location.pathname.split("/")[2] !== "") $('nav a[href^="' + location.pathname + '"]').addClass('active'); //.split("/")[2]

        ding.UI._nav = function () {
            var type = 0; // 0은 닫혀있는 상태, 1은 열려있는 상태.

            $(".nav-button").click(function () {
                if(type === 1){
                    $(this).removeAttr("style");
                    $(".gnb-nav-background").css("display", "none");
                }else{
                    $(this).css("background-color", "#0084ff");
                    $(".gnb-nav-background").css("display", "block");
                }

                $(".gnb-nav-menu").css("display", "block");
                $(".gnb-nav-menu").animate({
                    left: type == 0 ? 0 : -240 + "px"
                }, 300);

                type == 0 ? type = 1 : type = 0;

                /*
                $(".ding-default-layout").animate({
                    "padding-left": type == 0 ? 240 + "px" : 0
                }, 300);
                */
            });

            // 글로벌 메뉴가 활성화 될 때 간편하게 닫을 수 있는 백그라운드.
            $(".gnb-nav-background").click(function(){
                $(".nav-button").removeAttr("style");
                $(".gnb-nav-menu").animate({
                    left: type == 0 ? 0 : -240 + "px"
                }, 300);
                $(this).css("display", "none");
                type = 0;
            });

        }

        ding.UI._nav();
    });
}(jQuery.noConflict()));




